
Redmine - Feature #2561

Correlate workflow with Issue complete percentage

2009-01-22 15:00 - Dennis Gyor

Status: New Start date: 2009-01-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Currently there seems to be no dependance regarding a particular issue in the pipeline with the "% Done" of the issue. For example,

we have many issues that are in a "closed" state but are still sitting at 0% Done. The roadmap is inaccurate when compared to the

actual issue status. 2 possible fixes or workarounds?

1)Give the option for the admin to set the "% Done" field to be required.

2)In the workflow/Issue statuses allow the admin to hardcode a "% Done" value depending on the state of the issue (i.e. New

status=0% complete, assigned=20% complete, resolved=90% complete, etc., etc.).

Thank you, your product rocks and I've had it installed at 3 companies I've consulted at thus far!

Related issues:

Related to Redmine - Patch #4274: Use Issue status for percent done Closed 2009-11-23

Is duplicate of Redmine - Feature #952: Update % to be programatic not arbitrary New 2008-03-29

History

#1 - 2009-02-10 14:13 - Mark Thomas

+1

I would like to see this feature too. I'd like to be able to specify that Closed = 100% Done. I've considered patching my instance of Redmine, but it

would be better as an administrator setting (or perhaps a plugin).

#2 - 2009-02-10 23:03 - Eric Davis

- Category changed from Custom fields to Issues

#952 describes this.  I have a plugin that does this but it's not quite ready for release (bit on the hackish side).

#3 - 2009-02-11 06:10 - Mark Towfiq

Eric Davis wrote:

#952 describes this.  I have a plugin that does this but it's not quite ready for release (bit on the hackish side).

 Eric -- can you just attach a patch (diffs) to this bug of what you have right now anyway?  I'm sure there's a ton of people out there who would rather

start with what you have rather than start from scratch.

#4 - 2009-02-12 04:27 - Eric Davis

- Status changed from New to 7

- Assignee set to Eric Davis

Mark Towfiq wrote:

Eric -- can you just attach a patch (diffs) to this bug of what you have right now anyway?  I'm sure there's a ton of people out there who would

rather start with what you have rather than start from scratch.

 Yea, I'll see what I can do (don't have access to it right now).
#5 - 2009-05-20 20:15 - Mike Rogers

Hey Eric,

Did you ever get access to the patch? This would be very useful to me.

Thanks.

#6 - 2009-06-23 21:19 - Anonymous

In some cases it might be legitimate for an issue to be closed and 0% done.  Maybe for a "won't fix" resolution.  You could add a 'Is Complete' box to

the issue status configuration to go with the "Is Closed".  Then if a status with 'Is Complete' is selected, the done % could be set to 100%.

#7 - 2009-09-16 12:04 - Tim Bouman

Is there an update on this matter? i still searching for something like this:

IF status=='Assigned' AND progress>0 AND progress<100 THEN status='In Progress'

IF status=='In Progress' AND progress==100 THEN status='Resolved'

#8 - 2009-11-23 23:47 - Eric Davis

I've just created a patch for this on #4274.  It makes an issue's % done to be managed by it's Issue Status.

#9 - 2010-10-25 17:02 - Eric Davis

- Assignee deleted (Eric Davis)

#10 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to New

Assigned issue with no assignee back to New status.
